# Migrate for Compute Engine V1 API - Class Google::Cloud::VMMigration::V1::CreateGroupRequest (v2.9.0)

2.9.0 (latest) 2.8.0 2.7.0 2.6.0 2.5.1 2.4.0 2.3.0 2.2.0 2.1.1 2.0.0 1.3.0 1.2.0 1.1.0 1.0.2 0.9.0 0.8.2 0.7.0 0.6.1 0.5.0 0.4.0 0.3.0 0.2.0 0.1.1 Reference documentation and code samples for the Migrate for Compute Engine V1 API class Google::Cloud::VMMigration::V1::CreateGroupRequest.

Request message for 'CreateGroup' request.

## Inherits

- Object

## Extended By

- Google::Protobuf::MessageExts::ClassMethods

## Includes

- Google::Protobuf::MessageExts

## Methods

### #group

    def group() -> ::Google::Cloud::VMMigration::V1::Group

**Returns**

- ([::Google::Cloud::VMMigration::V1::Group](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-vm_migration-v1/latest/Google-Cloud-VMMigration-V1-Group)) --- Required. The create request body.

### #group=

    def group=(value) -> ::Google::Cloud::VMMigration::V1::Group

**Parameter**

- **value** ([::Google::Cloud::VMMigration::V1::Group](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-vm_migration-v1/latest/Google-Cloud-VMMigration-V1-Group)) --- Required. The create request body.
**Returns**

- ([::Google::Cloud::VMMigration::V1::Group](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-vm_migration-v1/latest/Google-Cloud-VMMigration-V1-Group)) --- Required. The create request body.

### #group_id

    def group_id() -> ::String

**Returns**

- (::String) --- Required. The group identifier.

### #group_id=

    def group_id=(value) -> ::String

**Parameter**

- **value** (::String) --- Required. The group identifier.
**Returns**

- (::String) --- Required. The group identifier.

### #parent

    def parent() -> ::String

**Returns**

- (::String) --- Required. The Group's parent.

### #parent=

    def parent=(value) -> ::String

**Parameter**

- **value** (::String) --- Required. The Group's parent.
**Returns**

- (::String) --- Required. The Group's parent.

### #request_id

    def request_id() -> ::String

**Returns**

- (::String) --- A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request.

  For example, consider a situation where you make an initial request and
  the request times out. If you make the request again with the same request
  ID, the server can check if original operation with the same request ID
  was received, and if so, will ignore the second request. This prevents
  clients from accidentally creating duplicate commitments.

  The request ID must be a valid UUID with the exception that zero UUID is
  not supported (00000000-0000-0000-0000-000000000000).

### #request_id=

    def request_id=(value) -> ::String

**Parameter**

- **value** (::String) --- A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request.


  For example, consider a situation where you make an initial request and
  the request times out. If you make the request again with the same request
  ID, the server can check if original operation with the same request ID
  was received, and if so, will ignore the second request. This prevents
  clients from accidentally creating duplicate commitments.

  The request ID must be a valid UUID with the exception that zero UUID is
  not supported (00000000-0000-0000-0000-000000000000).
**Returns**

- (::String) --- A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request.

  For example, consider a situation where you make an initial request and
  the request times out. If you make the request again with the same request
  ID, the server can check if original operation with the same request ID
  was received, and if so, will ignore the second request. This prevents
  clients from accidentally creating duplicate commitments.

  The request ID must be a valid UUID with the exception that zero UUID is
  not supported (00000000-0000-0000-0000-000000000000).